CVE-2004-2286
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:42
NMCOE    

[原文]Integer overflow in the duplication operator in ActivePerl allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a large multiplier, which may trigger a buffer overflow.


[CNNVD]多个Perl复制操作实现整数溢出漏洞(CNNVD-200412-734)

        
        Perl是流行的跨平台编程语言。
        ActiveState Perl复制操作实现存在缓冲区溢出,远程攻击者可以利用这个漏洞以调用应用程序进程在系统上执行任意指令。
        问题是由于在执行多个数据传递给perl复制操作时缺少正确的边界缓冲区检查,会导致发生基于整数的溢出,精心构建提交数据可能以调用应用程序进程在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:activestate:activeperl:5.8.3ActiveState ActivePerl 5.8.3
cpe:/a:larry_wall:perl:5.5.3
cpe:/a:activestate:activeperl:5.7.2ActiveState ActivePerl 5.7.2
cpe:/a:activestate:activeperl:5.7.3ActiveState ActivePerl 5.7.3
cpe:/a:larry_wall:perl:5.4
cpe:/a:larry_wall:perl:5.3
cpe:/a:larry_wall:perl:5.6.1
cpe:/a:activestate:activeperl:5.8.1ActiveState ActivePerl 5.8.1
cpe:/a:larry_wall:perl:5.8.0
cpe:/a:larry_wall:perl:5.8.1
cpe:/a:activestate:activeperl:5.6.2ActiveState ActivePerl 5.6.2
cpe:/a:activestate:activeperl:5.6.1.630ActiveState ActivePerl 5.6.1.630
cpe:/a:larry_wall:perl:5.6
cpe:/a:activestate:activeperl:5.8ActiveState ActivePerl 5.8
cpe:/a:larry_wall:perl:5.5
cpe:/a:activestate:activeperl:5.7.1ActiveState ActivePerl 5.7.1
cpe:/a:activestate:activeperl:5.6.1ActiveState ActivePerl 5.6.1
cpe:/a:larry_wall:perl:5.4.5
cpe:/a:larry_wall:perl:5.8.3
cpe:/a:activestate:activeperl:5.6.3ActiveState ActivePerl 5.6.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2286
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2286
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-734
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16224
(UNKNOWN)  XF  perl-duplication-bo(16224)
http://www.securityfocus.com/bid/10380
(UNKNOWN)  BID  10380
http://archives.neohapsis.com/archives/fulldisclosure/2004-05/0878.html
(UNKNOWN)  FULLDISC  20040517 RE: [Full-Disclosure] Buffer Overflow in ActivePerl ?

- 漏洞信息

多个Perl复制操作实现整数溢出漏洞
高危 边界条件错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Perl是流行的跨平台编程语言。
        ActiveState Perl复制操作实现存在缓冲区溢出,远程攻击者可以利用这个漏洞以调用应用程序进程在系统上执行任意指令。
        问题是由于在执行多个数据传递给perl复制操作时缺少正确的边界缓冲区检查,会导致发生基于整数的溢出,精心构建提交数据可能以调用应用程序进程在系统上执行任意指令。
        

- 公告与补丁

        厂商补丁:
        Activestate
        -----------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.activestate.com

- 漏洞信息 (24130)

ActivePerl 5.x,Larry Wall Perl 5.x Duplication Operator Integer Overflow Vulnerability (EDBID:24130)
multiple dos
2004-05-18 Verified
0 Matt Murphy
N/A [点击下载]
source: http://www.securityfocus.com/bid/10380/info

ActiveState Perl is reported to be prone to an integer overflow vulnerability. It is revealed through testing that other implementations are also vulnerable.

The issue is reported to exist due to a lack of sufficient bounds checking that is performed on multiplier data that is passed to a Perl duplicator statement. This vulnerability may permit an attacker to influence execution flow of a vulnerable Perl script to ultimately execute arbitrary code. Failed exploit attempts will result in a denial of service.

$var = "ABCD"x0x40000000;		

- 漏洞信息

19037
Perl / ActivePerl Duplication Operator Large Multiplier Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-05-17 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站